Update Streaming Endpoint – Media API – MediaKind
Update Streaming Endpoint
patch https://app.mk.io/api/v1/projects/:project_name/media/streamingEndpoints/:endpoint_name
Update a Streaming Endpoint. Only the Name and cdnProvider fields are immutable.
RBAC Capability Required: ams.streamingendpoint.update
Authentication
Authorization Bearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
project_namestring Requiredendpoint_namestring Required
Request
This endpoint expects an object.
locationstring Required
The name of the location in which the streaming endpoint is located. This field must match the location in which the user's subscription is provisioned.propertiesobject StreamingEndpointProperties Required
The properties of the streaming endpoint.
accessControl object StreamingEndpointAccessControl Optional
The access control settings for the streaming endpoint.
akamai object StreamingEndpointAkamiACL Optional Deprecated
DEPRECATED: This is provided for backwards compatibility and will be removed in a future release.
akamaiSignatureHeaderAuthenticationKeyList list of objects AkamiHeaderAuthKey Required Deprecated
DEPRECATED: This is provided for backwards compatibility and will be removed in a future release. Learn more: example-authentication-headers
ipobject StreamingEndpointIPACL Optional
IP-based access control configuration for the streaming endpoint. If omitted, this will default to 0.0.0.0/0.allowlist of objects IPAcl Required
The IP allow list.addressstring Requirednamestring Optional Defaults tosubnetPrefixLengthinteger Optional
0 to 32 Defaults to 32
The subnet prefix length (see CIDR notation).
advancedSettingsNamestring or null Optional <=64 characters Name of the advanced settings configuration to apply to this streaming endpoint.cdnEnabledboolean Optional Defaults to false Indicates if CDN is enabled for the streaming endpoint.cdnProfilestring Optional <=100 characters If CDN is enabled, the optional CDN profile name for the streaming endpoint.descriptionstring or null Optional <=1024 characters The description of the streaming endpoint.maxCacheAgeinteger Optional 0 to 2592000 Defaults to 86400 The maximum amount of time that segments will be cached, in seconds.
Response
200The updated Streaming Endpointlocationstring Requiredpropertiesobject StreamingEndpointProperties Required
Errors
400 Bad Requesterrorobject ErrorDetail Requiredcodestring Requireddetailstring Requiredrefstring Requiredstatusinteger Required.